be.vlaanderen.mercurius.efact.df019.v1

## Class RectificationInvoiceLineType

- java.lang.Object
- - be.vlaanderen.mercurius.efact.df019.v1.RectificationInvoiceLineType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-04-30T12:34:27+02:00",
                 comments="JAXB RI v2.3.7")
      public class RectificationInvoiceLineType
      extends Object
      implements Serializable

  Java class for RectificationInvoiceLineType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="RectificationInvoiceLineType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="InvoiceLineStartDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
               <element name="InvoiceLineEndDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
               <element name="CancelledInvoiceLine" type="{http://www.mercurius.vlaanderen.be/efact/df019/v1}CancelledCareServiceType"/>
               <element name="RevisedInvoiceLine" type="{http://www.mercurius.vlaanderen.be/efact/df019/v1}CareServiceType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RectificationInvoiceLineType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CancelledCareServiceType` | `getCancelledInvoiceLine()` Gets the value of the cancelledInvoiceLine property.
    `org.joda.time.DateTime` | `getInvoiceLineEndDate()` Gets the value of the invoiceLineEndDate property.
    `org.joda.time.DateTime` | `getInvoiceLineStartDate()` Gets the value of the invoiceLineStartDate property.
    `CareServiceType` | `getRevisedInvoiceLine()` Gets the value of the revisedInvoiceLine property.
    `void` | `setCancelledInvoiceLine(CancelledCareServiceType value)` Sets the value of the cancelledInvoiceLine property.
    `void` | `setInvoiceLineEndDate(org.joda.time.DateTime value)` Sets the value of the invoiceLineEndDate property.
    `void` | `setInvoiceLineStartDate(org.joda.time.DateTime value)` Sets the value of the invoiceLineStartDate property.
    `void` | `setRevisedInvoiceLine(CareServiceType value)` Sets the value of the revisedInvoiceLine property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RectificationInvoiceLineType

          public RectificationInvoiceLineType()

  - ### Method Detail

    - #### getInvoiceLineStartDate

          public org.joda.time.DateTime getInvoiceLineStartDate()

      Gets the value of the invoiceLineStartDate property.
      Returns:
        possible object is `String`

    - #### setInvoiceLineStartDate

          public void setInvoiceLineStartDate(org.joda.time.DateTime value)

      Sets the value of the invoiceLineStartDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getInvoiceLineEndDate

          public org.joda.time.DateTime getInvoiceLineEndDate()

      Gets the value of the invoiceLineEndDate property.
      Returns:
        possible object is `String`

    - #### setInvoiceLineEndDate

          public void setInvoiceLineEndDate(org.joda.time.DateTime value)

      Sets the value of the invoiceLineEndDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCancelledInvoiceLine

          public CancelledCareServiceType getCancelledInvoiceLine()

      Gets the value of the cancelledInvoiceLine property.
      Returns:
        possible object is `CancelledCareServiceType`

    - #### setCancelledInvoiceLine

          public void setCancelledInvoiceLine(CancelledCareServiceType value)

      Sets the value of the cancelledInvoiceLine property.
      Parameters:
        `value` - allowed object is `CancelledCareServiceType`

    - #### getRevisedInvoiceLine

          public CareServiceType getRevisedInvoiceLine()

      Gets the value of the revisedInvoiceLine property.
      Returns:
        possible object is `CareServiceType`

    - #### setRevisedInvoiceLine

          public void setRevisedInvoiceLine(CareServiceType value)

      Sets the value of the revisedInvoiceLine property.
      Parameters:
        `value` - allowed object is `CareServiceType`

Connector Packaging TRUSSMAKER 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.